from sqlalchemy import Column, BigInteger, String
from sqlalchemy_serializer import SerializerMixin

from database import Base


class TagModel(Base, SerializerMixin):
    __tablename__ = 'tags'
    id = Column(BigInteger, primary_key=True)
    name = Column(String(1024), index=True)

    def files_uuids(self):
        return [file.uuid for file in self.__files__]

    serialize_only = (
        "files_uuids",
        "name",
    )

    def __init__(
            self, id=None, name=None):
        super().__init__()
        self.id = id
        self.name = name

    def __repr__(self):
        return '<Tag %s>' % self.name
